// simple Vector for KKJConv by N's LAB Copyright (C) 2006 by Nobumichi Kozawa

public class Vect
{
	public String word;
	public String cacheWord;
	public String cacheYomi;
	public int cachePosition;
	public int seq;
	public Vect next;
	public Vect prev;
	
	public Vect(Vect vPre)
	{
		next = null;
		prev = vPre;
		seq = prev.seq + 1;
	}
	
	public Vect()
	{
		next = prev = null;
		seq = 0;
	}
	
	public Vect getLast()
	{
		Vect vWork = this;
		while (null != vWork.next) {
			vWork = vWork.next;
		}
		return vWork;
	}
}
